<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="caseStep">
            <h2><span>Case Step</span> {{ caseStep.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ caseStep.name }}</span>
                </dd>
                <dt><span>Case Id</span></dt>
                <dd>
                    <span>{{ caseStep.caseId }}</span>
                </dd>
                <dt><span>Begin</span></dt>
                <dd>
                    <span>{{ caseStep.begin }}</span>
                </dd>
                <dt><span>Team</span></dt>
                <dd>
                    <div *ngIf="caseStep.team">
                        <a [routerLink]="['/team', caseStep.team?.id, 'view']">{{ caseStep.team?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/case-step', caseStep.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
